View Issue Details

IDProjectCategoryView StatusLast Update
0004308Slicer4Core: Segmentationpublic2018-07-21 15:22
ReporterlassoanAssigned Topinter 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSlicer 4.7.0 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0004308: Add convenient GUI for changing segmentation labelmap geometry
Description

Currently it is difficult to modify geometry (origin, spacing, directions) of closed surface representation in segmentation nodes.
Geometry is set by default when first selecting a master volume in the Segment editor but later it is difficult to change using the GUI.

It should be possible to set the geometry by referring to a reference volume (optionally with over/undersampling/forced uniform sampling), or an ROI node (and spacing).

It would be useful to show the geometry to the user (maybe using a grid that shows spacing, orientation, extent).

It should also be possible to change the resolution of existing segments.

Also, add a GUI for rotating views to slice planes, as users are often puzzled about the paint artifacts and inability to interpolate between slices. (https://discourse.slicer.org/t/segmentation-error/1579, https://discourse.slicer.org/t/segmentation-editor-how-to-disable-painting-on-adjacent-slices/1459/4, etc.)

TagsNo tags attached.

Relationships

related to 0004410 resolvedpinter Changing master volume in SegmentEditor does not update edit-able FOV 

Activities

pinter

pinter

2018-06-20 18:51

developer   ~0015904

Addressed in https://github.com/Slicer/Slicer/pull/975

pinter

pinter

2018-07-21 14:45

developer   ~0015925

Changes integrated in https://github.com/Slicer/Slicer/commit/6a8012e30952ff7e990956f11a892349387cd974

I think the issue can be now closed.

Issue History

Date Modified Username Field Change
2016-11-28 16:23 lassoan New Issue
2016-11-28 16:23 lassoan Status new => assigned
2016-11-28 16:23 lassoan Assigned To => lassoan
2017-07-05 16:22 lassoan Description Updated View Revisions
2017-10-18 01:08 jcfr Target Version Slicer 4.7.0 => Slicer 4.9.0
2017-12-02 19:06 lassoan Description Updated View Revisions
2018-03-31 03:14 jcfr Target Version Slicer 4.9.0 => Slicer 4.11.0
2018-06-14 15:55 pinter Relationship added related to 0004410
2018-06-20 18:51 pinter Note Added: 0015904
2018-06-20 18:52 pinter Fixed in Version => Slicer 4.9.0
2018-06-20 18:52 pinter Target Version Slicer 4.11.0 => Slicer 4.9.0
2018-06-20 19:00 pinter Status assigned => resolved
2018-06-20 19:00 pinter Resolution open => fixed
2018-07-21 14:45 pinter Note Added: 0015925
2018-07-21 14:45 pinter Assigned To lassoan => pinter